package it.uniroma1.dis.mfis.redia.verifint.model._exceptions;

// TODO Use this Exception where needed!!
public class AssociationTargetException extends RuntimeException {
	private static final long serialVersionUID = -894027146432224833L;

	public static final String DEFAULT_MESSAGE_TEMPLATE =
		"Wrong reference to %2s in association %1s\n";

	public AssociationTargetException(
			String linkClassName, String wrongReferenceClassName, String text) {
		super(
				String.format(
						DEFAULT_MESSAGE_TEMPLATE,
						linkClassName, wrongReferenceClassName)
				+ text);
	}
	
	public AssociationTargetException(
			String linkClassName, String wrongReferenceClassName) {
		this(linkClassName, wrongReferenceClassName, "");
	}
}