package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDAssociation;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDSpecialization;

public class CCDAssociation_isSubSetOf_CCDSpecialization {
	private CCDAssociation association;
	private CCDSpecialization specialization;

	public CCDAssociation_isSubSetOf_CCDSpecialization(
			CCDAssociation association, CCDSpecialization specialization) {
		this.association = association;
		this.specialization = specialization;
	}

	public CCDAssociation getAssociation() {
		return this.association;
	}

	public CCDSpecialization getSpecialization() {
		return this.specialization;
	}

	public static void addLink(
			CCDAssociation association, CCDSpecialization specialization) {
		CCDAssociation_isSubSetOf_CCDSpecialization self = 
			new CCDAssociation_isSubSetOf_CCDSpecialization(
				association, specialization	
			);
		association.addSpecializationWhoseSubSet(self);
		specialization.setSubSet(self);
	}

	public static void removeLink(
			CCDAssociation association, CCDSpecialization specialization) {
		CCDAssociation_isSubSetOf_CCDSpecialization self = 
			new CCDAssociation_isSubSetOf_CCDSpecialization(
				association, specialization	
			);
		association.removeSpecializationWhoseSubSet(self);
		specialization.unsetSubSet(self);
	}
}