package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDAssociation;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDSpecialization;

public class CCDAssociation_isSuperSetOf_CCDSpecialization {
	private CCDAssociation association;
	private CCDSpecialization specialization;

	private CCDAssociation_isSuperSetOf_CCDSpecialization(
			CCDAssociation association, CCDSpecialization specialization) {
		this.association = association;
		this.specialization = specialization;
	}

	public CCDAssociation getAssociation() {
		return this.association;
	}

	public CCDSpecialization getSpecialization() {
		return this.specialization;
	}

	public static void addLink(
			CCDAssociation association, CCDSpecialization specialization) {
		CCDAssociation_isSuperSetOf_CCDSpecialization self = 
			new CCDAssociation_isSuperSetOf_CCDSpecialization(
				association, specialization	
			);
		association.addSpecializationWhoseSuperSet(self);
		specialization.setSuperSet(self);
	}

	public static void removeLink(
			CCDAssociation association, CCDSpecialization specialization) {
		CCDAssociation_isSuperSetOf_CCDSpecialization self = 
			new CCDAssociation_isSuperSetOf_CCDSpecialization(
				association, specialization	
			);
		association.removeSpecializationWhoseSuperSet(self);
		specialization.unsetSuperSet(self);
	}
}