package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDClass;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDGeneralization;

public class CCDClass_isBaseClassOf_CCDGeneralization {
	private CCDClass baseClass;
	private CCDGeneralization generalization;

	private CCDClass_isBaseClassOf_CCDGeneralization(CCDClass baseClass,
			CCDGeneralization generalization) {
		this.baseClass = baseClass;
		this.generalization = generalization;
	}

	public CCDClass getBaseClass() {
		return this.baseClass;
	}

	public CCDGeneralization getGeneralization() {
		return this.generalization;
	}

	public static void addLink(CCDClass baseClass,
			CCDGeneralization generalization) {
		CCDClass_isBaseClassOf_CCDGeneralization self = 
			new CCDClass_isBaseClassOf_CCDGeneralization(
					baseClass, generalization);
		baseClass.addGeneralizationWhoseBaseClass(self);
		generalization.setBaseClass(self);
	}

	public static void removeLink(CCDClass baseClass,
			CCDGeneralization generalization) {
		CCDClass_isBaseClassOf_CCDGeneralization self = 
			new CCDClass_isBaseClassOf_CCDGeneralization(
					baseClass, generalization);
		baseClass.removeGeneralizationWhoseBaseClass(self);
		generalization.unsetBaseClass(self);
	}
}