package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDClass;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDGeneralization;

public class CCDClass_isSubClassOf_CCDGeneralization {
	private CCDClass subClass;
	private CCDGeneralization generalization;

	private CCDClass_isSubClassOf_CCDGeneralization(CCDClass subClass,
			CCDGeneralization generalization) {
		this.subClass = subClass;
		this.generalization = generalization;
	}

	public CCDClass getSubClass() {
		return this.subClass;
	}

	public CCDGeneralization getGeneralization() {
		return this.generalization;
	}

	public static void addLink(CCDClass subClass,
			CCDGeneralization generalization) {
		CCDClass_isSubClassOf_CCDGeneralization self = 
			new CCDClass_isSubClassOf_CCDGeneralization(
					subClass, generalization);
		subClass.addGeneralizationWhoseSubClass(self);
		generalization.addSubClass(self);
	}

	public static void removeLink(CCDClass subClass,
			CCDGeneralization generalization) {
		CCDClass_isSubClassOf_CCDGeneralization self = 
			new CCDClass_isSubClassOf_CCDGeneralization(
					subClass, generalization);
		subClass.removeGeneralizationWhoseSubClass(self);
		generalization.removeSubClass(self);
	}
}