package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDClass;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDRole;

public class CCDClass_participates_CCDRole {
	private CCDRole role;
	private CCDClass participantClass;
	
	private CCDClass_participates_CCDRole(
			CCDRole role, CCDClass participantClass) {
		super();
		this.role = role;
		this.participantClass = participantClass;
	}
	
	public static void addLink(
			CCDRole role, CCDClass participantClass) {
		CCDClass_participates_CCDRole self =
			new CCDClass_participates_CCDRole(role, participantClass);
		role.setParticipantClass(self);
		participantClass.addRole(self);
	}
	
	public static void removeLink(
			CCDRole role, CCDClass participantClass) {
		CCDClass_participates_CCDRole self =
			new CCDClass_participates_CCDRole(role, participantClass);
		role.unsetParticipantClass(self);
		participantClass.removeRole(self);
	}

	public CCDRole getRole() {
		return this.role;
	}
	
	public CCDClass getParticipantClass() {
		return this.participantClass;
	}

}
