package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDDiagram;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDElement;

public class CCDDiagram_isComposedBy_CCDElement {
	private CCDDiagram diagram;
	private CCDElement element;

	private CCDDiagram_isComposedBy_CCDElement(
			CCDDiagram diagram, CCDElement element) {
		this.diagram = diagram;
		this.element = element;
	}

	public static void addLink(
			CCDDiagram diagram, CCDElement element) {
		CCDDiagram_isComposedBy_CCDElement self =
			new CCDDiagram_isComposedBy_CCDElement(
					diagram, element);
		diagram.addElement(self);
		element.setDiagram(self);
	}

	public static void removeLink(
			CCDDiagram diagram, CCDElement element) {
		CCDDiagram_isComposedBy_CCDElement self =
			new CCDDiagram_isComposedBy_CCDElement(
					diagram, element);
		diagram.removeElement(self);
		element.unsetDiagram(self);
	}

	public CCDDiagram getDiagram() {
		return this.diagram;
	}

	public CCDElement getElement() {
		return this.element;
	}
}