package it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._xml;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.XmlAdapter;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDClass;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._interfaces.CTType;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._links.CTType_isTypeOf_CTTypeDefined;

@XmlAccessorType(XmlAccessType.FIELD)
public class CTTypeXmlImplementation implements CTType {
	private static final long serialVersionUID = 8472458350224754191L;

	public static class Adapter extends XmlAdapter<CTTypeXmlImplementation, CTType> {
		@Override
		public CTTypeXmlImplementation marshal(CTType bounded) throws Exception {
			if (bounded == null)
				return null;
			if (bounded instanceof CCDClass)
				return new CTTypeXmlImplementation(
						((CCDClass)bounded).getIdentifierName());
			return new CTTypeXmlImplementation(bounded.getName());
		}
		@Override
		public CTType unmarshal(CTTypeXmlImplementation value) throws Exception {
			return (CTType)value;
		}		
	}

	@XmlValue
	@XmlID
	private String name;
	private CTTypeXmlImplementation() {}
	private CTTypeXmlImplementation(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void addTypeDefinedElement(CTType_isTypeOf_CTTypeDefined link) {}

	public void removeTypeDefinedElement(CTType_isTypeOf_CTTypeDefined link) {}
}