package it.uniroma1.dis.mfis.redia.verifint.view.widgets;

import java.awt.Component;
import java.awt.LayoutManager;

import javax.swing.BoxLayout;
import javax.swing.JCheckBox;
import javax.swing.JPanel;

public class BinaryChoice extends Choice {
	private Boolean value;

	@Override
	public Component generateGraphicComponent() {
		JPanel panel = new JPanel();
		LayoutManager panelLayout = new BoxLayout(panel, BoxLayout.Y_AXIS);
		panel.setLayout(panelLayout);
		
		JCheckBox checkBox = new JCheckBox(super.label);
		if (
				this.value != null
				&& this.value.equals(super.value)) {
			checkBox.setSelected(true);
		}

		// TODO add the Listeners!

		panel.add(checkBox);
		
		return panel;
	}

	/* (non-Javadoc)
	 * @see it.uniroma1.dis.mfis.redia.verifint.view.widgets.dao.Widget#getValore()
	 */
	@Override
	public Object getValue() {
		return this.value;
	}

	/* (non-Javadoc)
	 * @see it.uniroma1.dis.mfis.redia.verifint.view.widgets.dao.Widget#setValore(java.lang.Object)
	 */
	@Override
	public void setValue(Object valore) {
		this.value = (Boolean)valore;
	}
}