package it.uniroma1.dis.mfis.redia.verifint.view.widgets;

import java.awt.Component;
import java.awt.LayoutManager;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;

public class TextArea extends Text {

	@Override
	public Component generateGraphicComponent() {
		JPanel panel = new JPanel();
		LayoutManager panelLayout = new BoxLayout(panel, BoxLayout.Y_AXIS);
		panel.setLayout(panelLayout);
		
		JTextArea textArea = new JTextArea();
		
		if (this.label != null) {
			panel.add(new JLabel(this.label));
		}
		
		if (this.value != null) {
			textArea.setText(this.value.toString());
		}
		
		for (WidgetEventInterceptor interceptors :
			super.getWidgetEventInterceptors()) {
			textArea.addFocusListener(interceptors);
		}

		// TODO add the Listeners!

		panel.add(textArea);

		return panel;
	}
}