package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams;

import javax.xml.bind.annotation.XmlElement;

import it.uniroma1.dis.mfis.redia.verifint.model._dataTypes.Multiplicity;

public abstract class CCDInnerComponent extends CCDElement {
	@XmlElement(required=false)
	protected Multiplicity multiplicity;

	protected CCDInnerComponent(String name) {
		super(name);
	}

	protected CCDInnerComponent(String name, Multiplicity multiplicity) {
		super(name);
		this.setMultiplicity(multiplicity);
	}

	protected CCDInnerComponent() {
		super();
	}

	public Multiplicity getMultiplicity() {
		return this.multiplicity;
	}

	public void setMultiplicity(Multiplicity multiplicity) {
		this.multiplicity = multiplicity;
	}
}