package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links.CCDAssociation_isSubSetOf_CCDSpecialization;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links.CCDAssociation_isSuperSetOf_CCDSpecialization;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links.CCDDiagram_isComposedBy_CCDElement;

public class CCDSpecialization_Factory {
	public CCDSpecialization specialization;

	public CCDSpecialization createInstance(CCDDiagram diagram,
			CCDAssociation superSet,
			CCDAssociation subSet) {
		this.specialization = new CCDSpecialization();
		this.resolveLinkConstraints(
				diagram, superSet, subSet);
		return this.specialization;
	}
	
	private void resolveLinkConstraints(CCDDiagram diagram,
			CCDAssociation superSet,
			CCDAssociation subSet) {
		CCDDiagram_isComposedBy_CCDElement.addLink(
				diagram, this.specialization);
		CCDAssociation_isSubSetOf_CCDSpecialization.addLink(
				subSet, this.specialization);
		CCDAssociation_isSuperSetOf_CCDSpecialization.addLink(
				superSet, this.specialization);
	}
}