package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDOperation;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDParameter;

public class CCDOperation_hasParameter_CCDParameter {

	private CCDParameter parameter;
	private CCDOperation operation;
	
	private CCDOperation_hasParameter_CCDParameter(
			CCDParameter parameter, CCDOperation operation) {
		super();
		this.parameter = parameter;
		this.operation = operation;
	}
	
	public static void addLink(
			CCDOperation operation, CCDParameter parameter) {
		CCDOperation_hasParameter_CCDParameter self =
			new CCDOperation_hasParameter_CCDParameter(parameter, operation);
		parameter.setOwnerOperation(self);
		operation.addInputParameter(self);
	}
	
	public static void removeLink(
			CCDOperation operation, CCDParameter parameter) {
		CCDOperation_hasParameter_CCDParameter self =
			new CCDOperation_hasParameter_CCDParameter(parameter, operation);
		parameter.unsetOwnerOperation(self);
		operation.removeInputParameter(self);
	}

	public CCDParameter getParameter() {
		return this.parameter;
	}

	public CCDOperation getOperation() {
		return this.operation;
	}

}