package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDProperty;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDRelation;

public class CCDRelation_hasProperty_CCDProperty {
	private CCDProperty property;
	private CCDRelation relation;
	
	/**
	 * Builds <code>CCDRelation_hasProperty_CCDProperty</code> instances.
	 * @param property
	 * @param relation
	 */
	private CCDRelation_hasProperty_CCDProperty(
			CCDProperty property, CCDRelation relation) {
		super();
		this.property = property;
		this.relation = relation;
	}
	
	public static void addLink(
			CCDRelation relation, CCDProperty property) {
		CCDRelation_hasProperty_CCDProperty self =
			new CCDRelation_hasProperty_CCDProperty(
					property, relation);
		property.setOwnerRelation(self);
		relation.addProperty(self);
	}
	
	public static void removeLink(
			CCDRelation relation, CCDProperty property) {
		CCDRelation_hasProperty_CCDProperty self =
			new CCDRelation_hasProperty_CCDProperty(
					property, relation);
		property.unsetOwnerRelation(self);
		relation.removeProperty(self);
	}

	public CCDProperty getProperty() {
		return this.property;
	}

	public CCDRelation getRelation() {
		return this.relation;
	}
}