package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDDependency;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDRelation;

public class CCDRelation_isDestinationOf_CCDDependency {
	private CCDRelation relation;
	private CCDDependency dependency;

	private CCDRelation_isDestinationOf_CCDDependency(CCDRelation relation,
			CCDDependency dependency) {
		this.relation = relation;
		this.dependency = dependency;
	}

	public CCDRelation getRelation() {
		return this.relation;
	}

	public CCDDependency getDependency() {
		return this.dependency;
	}

	public static void addLink(CCDRelation relation,
			CCDDependency dependency) {
		CCDRelation_isDestinationOf_CCDDependency self =
			new CCDRelation_isDestinationOf_CCDDependency(
					relation, dependency);
		relation.addDependencyWhoseDestination(self);
		dependency.setDestination(self);
	}

	public static void removeLink(CCDRelation relation,
			CCDDependency dependency) {
		CCDRelation_isDestinationOf_CCDDependency self =
			new CCDRelation_isDestinationOf_CCDDependency(
					relation, dependency);
		relation.removeDependencyWhoseDestination(self);
		dependency.unsetDestination(self);
	}
}