package it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDDependency;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDRelation;

public class CCDRelation_isSourceOf_CCDDependency {
	private CCDRelation relation;
	private CCDDependency dependency;

	private CCDRelation_isSourceOf_CCDDependency(CCDRelation relation,
			CCDDependency dependency) {
		this.relation = relation;
		this.dependency = dependency;
	}

	public CCDRelation getRelation() {
		return this.relation;
	}

	public CCDDependency getDependency() {
		return this.dependency;
	}

	public static void addLink(CCDRelation relation,
			CCDDependency dependency) {
		CCDRelation_isSourceOf_CCDDependency self =
			new CCDRelation_isSourceOf_CCDDependency(
					relation, dependency);
		relation.addDependencyWhoseSource(self);
		dependency.setSource(self);
	}

	public static void removeLink(CCDRelation relation,
			CCDDependency dependency) {
		CCDRelation_isSourceOf_CCDDependency self =
			new CCDRelation_isSourceOf_CCDDependency(
					relation, dependency);
		relation.removeDependencyWhoseSource(self);
		dependency.unsetSource(self);
	}
}