package it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types.CTDataType;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._interfaces.CTDataTypeDefined;

public class CTDataType_isTypeOf_CTDataTypeDefined {
	protected CTDataType dataType;
	protected CTDataTypeDefined dataTypeDefined;

	/**
	 * Builds <code>CTType_isTypeOf_CTTypeDefined</code> instances.
	 * @param dataType
	 * @param dataTypeDefined
	 */
	protected CTDataType_isTypeOf_CTDataTypeDefined(
			CTDataType dataType, CTDataTypeDefined dataTypeDefined) {
		super();
		this.dataType = dataType;
		this.dataTypeDefined = dataTypeDefined;
	}
	
	public static void addLink(
			CTDataType dataType, CTDataTypeDefined dataTypeDefined) {
		CTDataType_isTypeOf_CTDataTypeDefined self
			= new CTDataType_isTypeOf_CTDataTypeDefined(
					dataType, dataTypeDefined);
		dataType.addDataTypeDefinedElement(self);
		dataTypeDefined.setType(self);
	}
	
	public static void removeLink(
			CTDataType dataType, CTDataTypeDefined dataTypeDefined) {
		CTDataType_isTypeOf_CTDataTypeDefined self
		= new CTDataType_isTypeOf_CTDataTypeDefined(
				dataType, dataTypeDefined);
		dataType.removeDataTypeDefinedElement(self);
		dataTypeDefined.setType(self);
	}

	public CTDataType getDataType() {
		return dataType;
	}

	public CTDataTypeDefined getDataTypeDefined() {
		return dataTypeDefined;
	}
}