package it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._interfaces.CTType;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types._interfaces.CTTypeDefined;

public class CTType_isTypeOf_CTTypeDefined {
	protected CTType type;
	protected CTTypeDefined typeDefined;

	/**
	 * Builds <code>CTType_isTypeOf_CTTypeDefined</code> instances.
	 * @param type
	 * @param typeDefined
	 */
	protected CTType_isTypeOf_CTTypeDefined(
			CTType type, CTTypeDefined typeDefined) {
		super();
		this.type = type;
		this.typeDefined = typeDefined;
	}
	
	public static void addLink(
			CTType type, CTTypeDefined typeDefined) {
		CTType_isTypeOf_CTTypeDefined self
			= new CTType_isTypeOf_CTTypeDefined(
					type, typeDefined);
		type.addTypeDefinedElement(self);
		typeDefined.setType(self);
	}
	
	public static void removeLink(
			CTType type, CTTypeDefined typeDefined) {
		CTType_isTypeOf_CTTypeDefined self
		= new CTType_isTypeOf_CTTypeDefined(
				type, typeDefined);
		type.removeTypeDefinedElement(self);
		typeDefined.setType(self);
	}

	public CTType getType() {
		return type;
	}

	public CTTypeDefined getTypeDefined() {
		return typeDefined;
	}
}