package it.uniroma1.dis.mfis.redia.verifint.view.widgets;

import java.awt.Component;
import java.awt.FlowLayout;
import java.util.List;

import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class SingleChoice extends Choice {
	public List<Option> options;

	@Override
	public Component generateGraphicComponent() {
		JPanel panel = new JPanel(new FlowLayout(FlowLayout.LEFT));
		if (this.label != null) {
			panel.add(new JLabel(this.label));
		}
		
		JComboBox comboBox = new JComboBox();
		for (Option option : this.options) {
			comboBox.addItem(option.label);
		}
		
		panel.add(comboBox);

		// TODO add the Listeners!
		
		return panel;
	}
}